#
# Table structure for table `photo_categories`
#
# Creation: Jun 24, 2003 at 12:34 AM
# Last update: Mar 07, 2004 at 12:40 PM
#

CREATE TABLE `photo_categories` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `category` varchar(50) NOT NULL default '',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `photo_postcards`
#
# Creation: Oct 16, 2003 at 12:10 AM
# Last update: Nov 03, 2003 at 10:45 PM
#

CREATE TABLE `photo_postcards` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `date` bigint(14) unsigned NOT NULL default '0',
  `image_id` int(11) unsigned NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `headline` varchar(100) NOT NULL default '',
  `body` text NOT NULL,
  `sender_email` varchar(50) NOT NULL default '',
  `receiver_email` varchar(50) NOT NULL default '',
  `hashkey` varchar(32) NOT NULL default '',
  `viewed` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `hashkey` (`hashkey`),
  KEY `image_id` (`image_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `photogallery`
#
# Creation: Mar 07, 2004 at 11:40 AM
# Last update: Apr 09, 2004 at 07:29 PM
#

CREATE TABLE `photogallery` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `image_id` int(11) unsigned NOT NULL default '0',
  `date` bigint(14) unsigned NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `category_id` int(11) unsigned NOT NULL default '1',
  `ecard` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `image_id` (`image_id`),
  KEY `category_id` (`category_id`),
  KEY `image_id_2` (`image_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `szphotogallery`
#
# Creation: Apr 09, 2004 at 07:27 PM
# Last update: Apr 09, 2004 at 07:28 PM
#

CREATE TABLE `szphotogallery` (
  `thumb_width` int(4) unsigned NOT NULL default '150',
  `per_page` smallint(2) unsigned NOT NULL default '5',
  `max_height` smallint(3) unsigned NOT NULL default '100',
  `postcard_lifetime` int(5) unsigned NOT NULL default '24',
  `postcard_subject` varchar(100) NOT NULL default '',
  `postcard_body` text NOT NULL,
  `postcard_senderemail` varchar(100) NOT NULL default '',
  `site_url` varchar(255) NOT NULL default '',
  `date_formatting` varchar(50) NOT NULL default ''
) TYPE=MyISAM;
    

INSERT INTO `szphotogallery` VALUES (150, 10, 150, 24, 'E-Card from [NAME]', 'You have a E-Card waiting for you from [NAME]\r\n[LINK]', 'webmaster@example.com', 'http://www.example.com', 'r');