<?php
class SZBBCodes {
  var $SITE_URL;
	var	$SMILEYS = array(
                    			':wink:' => 'icon_wink.gif',			
                    			':lol:' => 'icon_lol.gif',			
                    			':oops:' => 'icon_redface.gif',			
                    			':cry:' => 'icon_cry.gif',			
                    			':evil:' => 'icon_evil.gif',			
                    			':twisted:' => 'icon_twisted.gif',						
                    			':roll:' => 'icon_rolleyes.gif',			
                    			':idea:' => 'icon_idea.gif',			
                    			':arrow:' => 'icon_arrow.gif',			
                    			':mrgreen:' => 'icon_mrgreen.gif',			
                    			':-)' => 'icon_smile.gif',
                    			':)' => 'icon_smile.gif',
                    			':-(' => 'icon_sad.gif',
                    			':(' => 'icon_sad.gif',
                    			';-)' => 'icon_wink.gif',			
                    			';)' => 'icon_wink.gif',			
                    			':!:' => 'icon_exclaim.gif',			
                    			':?:' => 'icon_question.gif',			
                    			':o' => 'icon_surprised.gif',						
                    			':-D' => 'icon_biggrin.gif',						
                    			':D' => 'icon_biggrin.gif',									
                    			'8O' => 'icon_eek.gif',			
                    			':?' => 'icon_confused.gif',			
                    			'8)' => 'icon_cool.gif',			
                    			':x' => 'icon_mad.gif',			
                    			':P' => 'icon_razz.gif',			
                    			':|' => 'icon_neutral.gif',						
                    		);
    
		var $BBCODE_PATTERN = array(
                    			"/\[b\](.*?)\[\/b\]/",
                    			'/\[i\](.*?)\[\/i\]/',
                    			'/(\*\w+\*)/',
                    			'/(_\w+_)/',								
                    			'/(^|[^=])"(([^"><=]|<[^>]*>)*?)"/',
                    			'/ -- /',
                          '/\[dict\](.*?)\[\/dict\]/',
                          '/\[url=(.*?)\](.*?)\[\/url\]/',
                          '/\[img=(.*?)\](.*?)\[\/img\]/',
                          "#\[link\]www\.(.+?)\[/link\]#is",
                          "#\[link\](.+?)\[/link\]#is",
                          "#\[link=(.+?)\](.+?)\[/link\]#is",
                          "#\[url\]www\.(.+?)\[/url\]#is", 
                          '/\[url\](.*?)\[\/url\]/', 
                          '/\[email=(.*?)\](.*?)\[\/email\]/',
                          '/\[email\](.*?)\[\/email\]/' 
                    		);
		var $BBCODE_REPLACE = array(
                    			'<b>\\1</b>',
                    			'<i>\\1</i>',
                    			'<b>\\1</b>',
                    			'<i>\\1</i>',				
                    			'\\1&#8220;\\2&#8221;',
                    			' &#8212; ',
                          '<a href="http://www.dictionary.com/search?q=\\1">\\1</a>',
                          '<a href="\\1">\\2</a>',
                          '<img src="\\1" alt="\\2" />',
                          "<a href=\"http://www.\\1\">www.\\1</a>", 
                          "<a href=\"\\1\">\\1</a>", 
                          "<a href=\"\\1\">\\2</a>", 
                          "<a href=\"http://www.\\1\">www.\\1</a>", 
                          "<a href=\"\\1\">\\1</a>", 
                          '<a href="mailto:\\1">\\2</a>',
                          '<a href="mailto:\\1">\\1</a>'
                    		);
    
  function SZBBCodes() {
  
  }

  function addStyle($data) {
    $data = $this->addTextFormatting($data);
    $data = $this->addSmilies($data);
    return nl2br($data);
  }
  
	function addSmilies($data) {
		foreach ($this->SMILEYS as $smile => $img) {
			$data = str_replace($smile, '<img alt="'.$smile.'" src="'.$this->SITE_URL.'/repository/smiles/'.$img.'" />', $data);
		}	
    return $data;
	}
  
  function addTextFormatting($data) {
		return preg_replace($this->BBCODE_PATTERN, $this->BBCODE_REPLACE, $data);
  }
}
?>